﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ForgotPassword.ascx.cs" Inherits="ClientEventPoolDemo.Controls.ForgotPassword" %>
<asp:Button ID="btnForgotPassword" runat="server" style="display:none;" />

<asp:Panel ID="pnlForgotPassword" runat="server" CssClass="popup">
    <table>
        <tr>
            <th>Username</th>
            <td><asp:TextBox ID="txtUsername" runat="server" /></td>
        </tr>
        <tr>
            <td><asp:Button ID="btnSendForgotPassword" runat="server" Text="Send new password" /></td>
            <td style="text-align:right"><asp:Button ID="btnCancel" runat="server" Text="Cancel" /></td>
        </tr>
    </table>
</asp:Panel>
<ajax:ModalPopupExtender ID="modalForgotPassword" runat="server"
    BehaviorID="modalForgotPasswordBehavior" 
    TargetControlID="btnForgotPassword" 
    PopupControlID="pnlForgotPassword" 
    CancelControlID="btnCancel"
    BackgroundCssClass="popup-background" />
    
<script type="text/javascript">
    Sys.Application.add_load(function() {
        var modal = $find('<%= modalForgotPassword.BehaviorID %>');
        modal.add_showing(Function.createDelegate(this, function() { ClientEventPool.raiseEvent('forgotPasswordShowing', this, new Sys.EventArgs()); }));
        modal.add_hiding(Function.createDelegate(this, function() { ClientEventPool.raiseEvent('forgotPasswordHiding', this, new Sys.EventArgs()); }));

        ClientEventPool.addEvent('forgotPasswordShow', Function.createDelegate(modal, function() { modal.show(); }));
    });
</script>