﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Register.ascx.cs" Inherits="ClientEventPoolDemo.Controls.Register" %>
<asp:Button ID="btnRegister" runat="server" style="display:none;" />

<asp:Panel ID="pnlRegister" runat="server" CssClass="popup">
    <table>
        <tr>
            <th>Username</th>
            <td><asp:TextBox ID="txtUsername" runat="server" /></td>
        </tr>
        <tr>
            <th>Email Address</th>
            <td><asp:TextBox ID="txtEmail" runat="server" /></td>
        </tr>
        <tr>
            <th>Password</th>
            <td><asp:TextBox ID="txtPassword" runat="server" TextMode="Password" /></td>
        </tr>
        <tr>
            <td><asp:Button ID="btnRegisterAccount" runat="server" Text="Create Account" /></td>
            <td style="text-align:right"><asp:Button ID="btnCancel" runat="server" Text="Cancel" /></td>
        </tr>
    </table>
</asp:Panel>
<ajax:ModalPopupExtender ID="modalRegister" runat="server"
    BehaviorID="modalRegisterBehavior" 
    TargetControlID="btnRegister" 
    PopupControlID="pnlRegister" 
    CancelControlID="btnCancel"
    BackgroundCssClass="popup-background" />
    
<script type="text/javascript">
    Sys.Application.add_load(function() {
        var modal = $find('<%= modalRegister.BehaviorID %>');
        modal.add_showing(Function.createDelegate(this, function() { ClientEventPool.raiseEvent('registerShowing', this, new Sys.EventArgs()); }));
        modal.add_hiding(Function.createDelegate(this, function() { ClientEventPool.raiseEvent('registerHiding', this, new Sys.EventArgs()); }));

        ClientEventPool.addEvent('registerShow', Function.createDelegate(modal, function() { modal.show(); }));
    });
</script>